﻿using System;
using System.IO;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf;
using Telerik.Windows.Documents.Fixed.Model;
using Telerik.Windows.Documents.Fixed.Model.InteractiveForms;

namespace MailMerge
{
    class Program
    {
        static void Main()
        {
            PdfFormatProvider fileFormatProvider = new PdfFormatProvider();
            RadFixedDocument document = null;

            using (var input = new FileStream("Fields.pdf", FileMode.Open, FileAccess.Read, FileShare.ReadWrite))
            {
                document = fileFormatProvider.Import(input);
            }

            ((TextBoxField)document.AcroForm.FormFields["School Name 1"]).Value = "Short Text";
            ((TextBoxField)document.AcroForm.FormFields["School Name 2"]).Value = "Long Text, long enough to extend out past the edge of the field.";

            using (Stream stream = File.OpenWrite("Fields set.pdf"))
            {
                fileFormatProvider.Export(document, stream);
            }

            Console.Write("Field set finished - the document is saved. You can find the document in the application's folder.");
            Console.Read();
        }
    }
}
